package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

public class KQReportFieldGroupComInfo extends CacheBase{
	protected static String TABLE_NAME = "kq_report_field_group";
	/** sql中的where信息，不要以where开始 */
	protected static String TABLE_WHERE = null;
	/** sql中的order by信息，不要以order by开始 */
	protected static String TABLE_ORDER = "showorder";

	@PKColumn(type = CacheColumnType.NUMBER)
	protected static String PK_NAME = "id";

	@CacheColumn(name = "groupname")
	protected static int groupname;

	@CacheColumn(name = "isshow")
	protected static int isshow;

	@CacheColumn(name = "showorder")
	protected static int showorder;

	public String getId(){
		return (String)getRowValue(PK_INDEX);
	}

	public String getGroupname() { return (String)getRowValue(groupname); }

	public String getGroupname(String key)
	{
		return (String)getValue(groupname,key);
	}

    public String getIsshow() { return (String)getRowValue(isshow); }

    public String getIsshow(String key)
    {
        return (String)getValue(isshow,key);
    }

    public String getShoworder() { return (String)getRowValue(showorder); }

    public String getShoworder(String key)
    {
        return (String)getValue(showorder,key);
    }
}